PASSWD(1) | OpenSSL | PASSWD(1)

# NAME

passwd - compute password hashes

# LIBRARY

libcrypto, -lcrypto

# SYNOPSIS

openssl passwd [ -crypt] [ -1] [ -apr1] [ -salt string] [ -in file] [ -stdin] [ -noverify] [ -quiet] [ -table] { password}

# DESCRIPTION

The passwd command computes the hash of a password typed at run-time or the hash of each password in a list. The password list is taken from the named file for option -in file, from stdin for option -stdin, or from the command line, or from the terminal otherwise. The Unix standard algorithm crypt and the MD5-based BSD password algorithm 1 and its Apache variant apr1 are available.

# OPTIONS

-crypt
  Use the crypt algorithm (default).

-1
  Use the MD5 based BSD password algorithm 1.

-apr1
  Use the apr1 algorithm (Apache variant of the BSD algorithm).

-salt string
  Use the specified salt. When reading a password from the terminal, this implies -noverify.

-in file
  Read passwords from file.

-stdin
  Read passwords from stdin.

-noverify
  Don't verify when reading a password from the terminal.

-quiet
  Don't output warnings when passwords given at the command line are truncated.

-table
  In the output list, prepend the cleartext password and a TAB character to each password hash.

# EXAMPLES

openssl passwd -crypt -salt xx password prints xxj31ZMTZzkVA.

openssl passwd -1 -salt xxxxxxxx password prints $1$xxxxxxxx$UYCIxa628.9qXjpQCjM4a..

openssl passwd -apr1 -salt xxxxxxxx password prints $apr1$xxxxxxxx$dxHfLAsjHkDRmG83UXe8K0.

2009-07-20 | 1.0.1-dev